Show / Hide Table of Contents

# TimeoutController Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public sealed class TimeoutController : IDisposable

##### Inheritance

System.Object → TimeoutController

##### Implements

System.IDisposable

### Members

#### Constructors

Name | Description
--- | ---
TimeoutController() |
TimeoutController(CancellationTokenSource) |

#### Methods

Name | Description
--- | ---
Dispose() |
IsTimeout() |
Reset() |
Timeout(TimeSpan) |

### Constructors

#### TimeoutController()

    public TimeoutController()

#### TimeoutController(CancellationTokenSource)

    public TimeoutController(CancellationTokenSource linkCancellationTokenSource)

##### Parameters

`linkCancellationTokenSource` CancellationTokenSource

### Methods

#### Dispose()

    public void Dispose()

#### IsTimeout()

    public bool IsTimeout()

##### Returns

System.Boolean

#### Reset()

    public void Reset()

#### Timeout(TimeSpan)

    public CancellationToken Timeout(TimeSpan timeout)

##### Parameters

`timeout` System.TimeSpan

##### Returns

CancellationToken

### Implements

System.IDisposable